#ifndef _CANCION_H_
#define _CANCION_H_


class cancion
{
      private:
          char   nombre[20];
          int    cant_golpes;
          MIDI  *midi;
          
      public:
          cancion(int cual);
          ~cancion();
          
          void procesar();
          void dibujar();
          
          void empezar();
};

cancion::cancion(int cual)
{
    if(cual==0)
    {
        midi = load_midi("songs/mazinger.mid");
    }
        
}

cancion::~cancion()
{
    stop_midi();
}




#endif

